aviplay(1)

NAME
aviplay - QT-based movie player

SYNOPSIS
aviplay

DESCRIPTION
aviplay is a QT-based player for various avi, asf, mpeg4 movie files. Avifile is project whos main intent is to create library that allows programs to read and write compressed AVI files (Indeo Video, DivX :-), etc.) under x86 Linux. (De)compression is performed with Win32 DLLs if native codec is not available. Win32 libraries have to be downloaded separately.

FEATURES
* Supports many codecs by using freely available MS Windows .dll libraries. * Supports streamed .asf files * Very fast - low CPU usage (even P200MMX user could at least view the movie) * Good audio resampling suppport

OPTIONS
aviplay [--rc] [--fullscreen] [--quality auto] [[--size x y]] [ avi-file] [[ subtitle-file]]] --rc Enables remote control (stdin|stdout).

--size
    Start playing movie at dimensions X * Y.

--fullscreen
    Start playing movie in fullscreen.

--quality [0,1,2,3,4,auto]
    Start playing movie at given quality (only auto works for now!)

SHELL variables:
    WIN32_PATH - can be used to override library path /usr/lib/win32 which holds MS Windows binary dll codecs. AVIPLUGIN_PATH - can be used to override library path /usr/lib/avifile which holds avifile plugins. AVIPLAY_MUTE_AUDIO - if set shows just video track AVIPLAY_MUTE_VIDEO - if set plays just audio track AVIPLAY_NOSYNC - do not synchronize audio and video track HTTP_PROXY WRITE_ASF - write asf file received over the network to file (/tmp/*.asf)

NOTE
Press the About button in aviplay's GUI for more details about the usage and configuation. Aviplay automaticaly searches for subtitle file with the same name as the original ".avi" file but with Note for Debian users: After the discussion with the autor I have came to the conclusion that GSM codec is legaly distributed under GPL terms since this piece of code was donated to the project by the original author which was using it in the non-GPL project xanim.

SEE ALSO
http://avifile.sourceforge.net for the original source and main CVS archive and http://divx.euro.ru for binary codecs.

AUTHORS
avifile: Eugene Kuznetsov <divx@euro.ru> Zdenek Kabelac <kabi@users.sourceforge.net>

DATE
22 Jun 2001